.g-header {
    font-family: 'Lato', sans-serif;
    position: fixed;
    z-index: 2000;
    top: 0;
    left: 0;
    width: 100%;
    background-color: #fff;

    .header-base {
        border-bottom: 1px solid #ECECEC;
        padding-top: 20px;
        padding-bottom: 20px;
        position: relative;

        .header-container {
            display: flex;
            align-items: center;
            justify-content: space-between;

            .header-logo {
                display: flex;
                justify-content: space-between;
                align-items: center;
                left: 90px;

                .header-logo__text {
                    display: flex;
                    flex-direction: column;

                    .header-logo__text-gusto {
                        font-size: 40px;
                        line-height: 42px;
                        color: #3BB77E;
                        font-weight: 800;
                    }


                    .header-logo__text-shop {
                        font-size: 16px;
                        line-height: 18px;
                        color: #000;
                        font-weight: 600;
                        text-align: center;
                    }
                }
            }

        }

        .header-btn-wrapper {
            display: flex;
            gap: 17px;


            .header-cart-btn,
            .header-favorite-btn,
            .header-account-btn {
                display: flex;
                background: transparent;
                border: none;
                align-items: flex-end;
                gap: 10px;
                text-decoration: none;


                &:hover svg path {
                    fill: #4CAF50;
                    transition: fill 0.3s ease;
                }

                &:hover p {
                    color: #4CAF50;
                    transition: fill 0.3s ease;
                }

                p {
                    margin: 0;
                    color: #7E7E7E;
                    font-size: 16px;
                    font-weight: 400;
                    line-height: 16px;
                }
            }

            .count-favorite,
            .count-cart {
                position: relative;

                &:active {
                    color: #253D4E;
                }

                &::before {

                    background-color: #70cf74;
                    font-weight: 700;
                    content: attr(data-count);
                    position: absolute;
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    top: -10px;
                    right: -10px;
                    width: 18px;
                    height: 19px;
                    border-radius: 50%;
                    font-size: 12px;
                }
            }

        }

        & .btn-burg {
            position: relative;
            width: 30px;
            height: 5px;
            border: none;
            border-radius: 4px;
            background-color: #4CAF50;
            z-index: 5;

            &::after,
            &::before {
                content: '';
                position: absolute;
                width: 100%;
                height: 5px;
                left: 0;
                background-color: inherit;
                border-radius: 4px;


            }

            &::after {
                top: -10px;
            }

            &::before {
                bottom: -10px;
            }

            &__open {
                position: relative;
                width: 30px;
                height: 5px;
                border: none;
                border-radius: 4px;
                background-color: unset;
                z-index: 5;

                &::after,
                &::before {
                    content: '';
                    width: 35px;
                    height: 5px;
                    border-radius: 4px;
                    background-color: #4CAF50;

                }

                &::after {
                    top: 0px;
                    transform: rotate(-45deg);
                }

                &::before {
                    bottom: 0px;
                    transform: rotate(-135deg);
                }

            }
        }



        @media(min-width: 320px), (max-width:320px) {
            .search {
                display: none;
            }

            .header-btn-wrapper {
                display: none;
            }


            .btn-burg {
                display: block
            }
        }

        @media(min-width: 958px) {
            .btn-burg {
                display: none;
            }

            .search {
                display: flex;
            }

            .header-btn-wrapper {
                display: flex;
            }
        }
    }

    .header-bottom {
        border-bottom: 1px solid #ECECEC;

        .header-container {
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding-top: 10px;
            padding-bottom: 10px;

            .header-bottom-nav {
                display: flex;
                justify-content: space-between;
                align-items: center;
                max-width: 660px;
                width: 100%;
                column-gap: 35px;

                .category-select {
                    flex-shrink: 0;
                    border-radius: 5px;
                    background: #3BB77E;
                    width: fit-content;
                    padding: 12px 18px;
                    display: flex;
                    gap: 7px;
                    align-items: center;

                    &__link {
                        background: #3BB77E;
                        color: #FFF;
                        font-family: 'Quicksand', sans-serif;
                        font-size: 16px;
                        font-weight: 700;
                        line-height: 20px;
                    }
                }

                .nav-wrapper {
                    display: flex;
                    justify-content: space-between;
                    align-items: center;
                    flex-wrap: wrap;
                    gap: 10px;
                    max-width: 375px;
                    width: 100%;


                    a {
                        color: #253D4E;
                        font-family: 'Quicksand', sans-serif;
                        font-size: 16px;
                        line-height: 18px;
                        font-weight: 700;


                        &:hover {
                            color: #3BB77E;


                        }
                    }

                    a {
                        text-decoration: none;

                        &:first-child {
                            display: flex;
                            align-items: center;
                            gap: 8px;
                        }
                    }

                    select {
                        border: none;
                    }
                }
            }

            .support {
                display: flex;
                align-items: center;
                gap: 12px;

                p {
                    color: #7E7E7E;
                    font-family: 'Lato', sans-serif;
                    font-size: 12px;
                    font-weight: 500;
                    line-height: 12px;
                    letter-spacing: 0.9px;
                    text-align: center;

                    a {
                        font-family: 'Quicksand', sans-serif;
                        text-decoration: none;
                        color: #3BB77E;
                        font-size: 26px;
                        font-weight: 700;
                        line-height: 26px;
                    }
                }
            }
        }
    }

    .header-mobile {
        position: fixed;
        display: none;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        z-index: 4;
        background-color: rgba(37, 61, 78, 0.9);
        transform: translateX(200%);
        transition-property: transform;
        transition-duration: 0.8s;
        transition-timing-function: ease;


        &--active {
            transform: translateX(0%);
            display: block;
        }

        &__nav {
            margin-top: 100px;
            display: flex;
            flex-direction: column;
            align-items: flex-end;
            gap: 20px;
            padding-right: 10px;



        }

        &__item {
            display: flex;
            justify-content: flex-start;
            max-width: 200px;
            width: 100%;

            & .header-cart-btn,
            .header-favorite-btn,
            .header-account-btn {
                display: flex;
                justify-content: center;
                background: transparent;
                align-items: center;
                gap: 20px;
                padding: 0;


                & svg path {
                    fill: #FFFFFF;
                }

                &:active svg path {
                    fill: #4CAF50;
                    transition: fill 0.3s ease;
                }

                &:active p {
                    color: #4CAF50;
                    transition: fill 0.3s ease;
                }

                p {
                    margin: 0;
                    color: #FFFFFF;
                    font-size: 20px;
                    font-weight: 700;
                    line-height: 22px;
                }
            }

            .count-favorite,
            .count-cart {
                position: relative;

                &:active {
                    color: #253D4E;
                }

                &::before {

                    background-color: #70cf74;
                    font-weight: 700;
                    content: attr(data-count);
                    position: absolute;
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    top: -10px;
                    right: -20px;
                    width: 18px;
                    height: 19px;
                    border-radius: 50%;
                    font-size: 12px;
                }
            }


        }

        &__link {
            display: flex;
            justify-content: center;
            background: transparent;
            align-items: center;
            gap: 20px;
            padding: 0;

            color: #FFFFFF;
            font-size: 20px;
            font-weight: 700;
            line-height: 22px;

            & svg path {
                fill: #FFFFFF;
            }
        }

    }

    @media(min-width: 320px), (max-width:320px) {
        & .header-bottom {
            display: none;
        }

    }

    @media(min-width:958px) {
        & .header-bottom {
            display: block;
        }

        .header-mobile {
            display: none;
        }

    }
}

.header-cart-btn {
    position: relative;

    .cart-item-count {
        position: absolute;
        top: -10px;
        right: 25px;
        background-color: #ff6b6b;
        color: white;
        border-radius: 50%;
        padding: 0 5px;
        font-size: 12px;
        font-weight: bold;
        line-height: 20px;
        height: 20px;
        min-width: 20px;
        display: flex;
        align-items: center;
        justify-content: center;
    }
}